package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.params.ApproveUserResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程提交记录 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/16
 */
public class FlowTaskSubmitPeopleAllResult implements Serializable {

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程提交人")
    ApproveUserResult submitUser;

    @ApiModelProperty(value = "流程待审批人列表")
    private List<ApproveUserResult> approveUserList;

    public ApproveUserResult getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(ApproveUserResult submitUser) {
        this.submitUser = submitUser;
    }

    public FlowTaskSubmitPeopleAllResult() {

    }

    public FlowTaskSubmitPeopleAllResult(Long flowId) {
        this.flowId = flowId;
    }

    public FlowTaskSubmitPeopleAllResult(Long flowId, ApproveUserResult submitUser) {
        this.flowId = flowId;
        this.submitUser = submitUser;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public List<ApproveUserResult> getApproveUserList() {
        return approveUserList;
    }

    public void setApproveUserList(List<ApproveUserResult> approveUserList) {
        this.approveUserList = approveUserList;
    }
}
